<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function help

Retrieve help on a function or data type.
Help files are retrieved from the embedded documentation in math.docs.


## Syntax

```js
math.help(search)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`search` | Function &#124; string &#124; Object | A function or function name for which to get help

### Returns

Type | Description
---- | -----------
Help | A help object


## Examples

```js
console.log(math.help('sin').toString())
console.log(math.help(math.add).toString())
console.log(math.help(math.add).toJSON())
```


